(define (problem pfile11)
 (:domain floor-tile)
 (:objects tile_0-1 tile_0-2 tile_0-3 tile_0-4 
           tile_1-1 tile_1-2 tile_1-3 tile_1-4 
           tile_2-1 tile_2-2 tile_2-3 tile_2-4 
           tile_3-1 tile_3-2 tile_3-3 tile_3-4 
           tile_4-1 tile_4-2 tile_4-3 tile_4-4 - tile
           robot1 robot2 robot3 - robot
           white black - color
)
 (:init 
   (robot-at robot1 tile_1-1)
   (robot-has robot1 white)
   (robot-at robot2 tile_3-2)
   (robot-has robot2 black)
   (robot-at robot3 tile_1-3)
   (robot-has robot3 white)
   (available-color white)
   (available-color black)
   (clear tile_0-1)
   (clear tile_0-2)
   (clear tile_0-3)
   (clear tile_0-4)
   (clear tile_1-2)
   (clear tile_1-4)
   (clear tile_2-1)
   (clear tile_2-2)
   (clear tile_2-3)
   (clear tile_2-4)
   (clear tile_3-1)
   (clear tile_3-3)
   (clear tile_3-4)
   (clear tile_4-1)
   (clear tile_4-2)
   (clear tile_4-3)
   (clear tile_4-4)
   (up_pred tile_1-1 tile_0-1)
   (up_pred tile_1-2 tile_0-2)
   (up_pred tile_1-3 tile_0-3)
   (up_pred tile_1-4 tile_0-4)
   (up_pred tile_2-1 tile_1-1)
   (up_pred tile_2-2 tile_1-2)
   (up_pred tile_2-3 tile_1-3)
   (up_pred tile_2-4 tile_1-4)
   (up_pred tile_3-1 tile_2-1)
   (up_pred tile_3-2 tile_2-2)
   (up_pred tile_3-3 tile_2-3)
   (up_pred tile_3-4 tile_2-4)
   (up_pred tile_4-1 tile_3-1)
   (up_pred tile_4-2 tile_3-2)
   (up_pred tile_4-3 tile_3-3)
   (up_pred tile_4-4 tile_3-4)
   (down_pred tile_0-1 tile_1-1)
   (down_pred tile_0-2 tile_1-2)
   (down_pred tile_0-3 tile_1-3)
   (down_pred tile_0-4 tile_1-4)
   (down_pred tile_1-1 tile_2-1)
   (down_pred tile_1-2 tile_2-2)
   (down_pred tile_1-3 tile_2-3)
   (down_pred tile_1-4 tile_2-4)
   (down_pred tile_2-1 tile_3-1)
   (down_pred tile_2-2 tile_3-2)
   (down_pred tile_2-3 tile_3-3)
   (down_pred tile_2-4 tile_3-4)
   (down_pred tile_3-1 tile_4-1)
   (down_pred tile_3-2 tile_4-2)
   (down_pred tile_3-3 tile_4-3)
   (down_pred tile_3-4 tile_4-4)
   (right_pred tile_0-2 tile_0-1)
   (right_pred tile_0-3 tile_0-2)
   (right_pred tile_0-4 tile_0-3)
   (right_pred tile_1-2 tile_1-1)
   (right_pred tile_1-3 tile_1-2)
   (right_pred tile_1-4 tile_1-3)
   (right_pred tile_2-2 tile_2-1)
   (right_pred tile_2-3 tile_2-2)
   (right_pred tile_2-4 tile_2-3)
   (right_pred tile_3-2 tile_3-1)
   (right_pred tile_3-3 tile_3-2)
   (right_pred tile_3-4 tile_3-3)
   (right_pred tile_4-2 tile_4-1)
   (right_pred tile_4-3 tile_4-2)
   (right_pred tile_4-4 tile_4-3)
   (left_pred tile_0-1 tile_0-2)
   (left_pred tile_0-2 tile_0-3)
   (left_pred tile_0-3 tile_0-4)
   (left_pred tile_1-1 tile_1-2)
   (left_pred tile_1-2 tile_1-3)
   (left_pred tile_1-3 tile_1-4)
   (left_pred tile_2-1 tile_2-2)
   (left_pred tile_2-2 tile_2-3)
   (left_pred tile_2-3 tile_2-4)
   (left_pred tile_3-1 tile_3-2)
   (left_pred tile_3-2 tile_3-3)
   (left_pred tile_3-3 tile_3-4)
   (left_pred tile_4-1 tile_4-2)
   (left_pred tile_4-2 tile_4-3)
   (left_pred tile_4-3 tile_4-4)
)
 (:goal (and
    (painted tile_1-1 white)
    (painted tile_1-2 black)
    (painted tile_1-3 white)
    (painted tile_1-4 black)
    (painted tile_2-1 black)
    (painted tile_2-2 white)
    (painted tile_2-3 black)
    (painted tile_2-4 white)
    (painted tile_3-1 white)
    (painted tile_3-2 black)
    (painted tile_3-3 white)
    (painted tile_3-4 black)
    (painted tile_4-1 black)
    (painted tile_4-2 white)
    (painted tile_4-3 black)
    (painted tile_4-4 white)
))
 (:metric minimize (total-time))
)
